<template lang="pug">
  section.section.features-section(
    :class="{ 'features-section--header': header }"
    v-if="features && features.length"
  )
    header-block.header--hide-lang(v-if="header")
    .features-section__plane
      span

    .features-section__inner
      .container
        .section-heading(v-if="title")
          h2.section-heading__title(
            :class="{ 'section-heading__title--large': largeTitle }"
          ) {{ title }}

        .features(v-if="features && features.length")
          .features__col(
            v-for="(feature, index) in features"
            :key="feature.id"
            v-observe-visibility="visibilityChanged"
          )
            .feature-item(
              :class="`feature-item--item${index + 1}`"
            )
              .before(v-if="feature.icon" :style="{ backgroundImage: feature.icon ? `url(${feature.icon})` : null }")
              div(v-if="feature.description" v-html="feature.description")
</template>

<script>
import { visibilityMixin } from '../../../mixins/visibility'

export default {
  name: 'FeaturesSection',

  mixins: [visibilityMixin],

  props: {
    features: {
      type: Array,
      required: false,
      default: () => []
    },
    header: {
      type: Boolean,
      required: false,
      default: false
    },
    largeTitle: {
      type: Boolean,
      required: false,
      default: false
    },
    title: {
      type: String,
      required: false
    }
  }
}
</script>
